import { j as s } from "./jsx-runtime-BbD0H88J.js";
import "./Animated-C4xrEVd-.js";
import { C as t } from "./css-BkBrZtKZ.js";
import { C as i } from "./Text-XeD58Fq8.js";
const n = ({
  className: e,
  enabledLoc: o,
  disabledLoc: a,
  enabled: r,
  ...m
}) => /* @__PURE__ */ s.jsx(
  i.Up,
  {
    className: t(
      t.B("caret-animated"),
      t.loc(r ? o : a),
      e
    ),
    ...m
  }
), f = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Animated: n
}, Symbol.toStringTag, { value: "Module" }));
export {
  n as A,
  f as a
};
